<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [NS](./bitburner.ns.md) &gt; [clearPort](./bitburner.ns.clearport.md)

## NS.clearPort() method

Clear data from a port.

**Signature:**

```typescript
clearPort(portNumber: number): void;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  portNumber | number | Port to clear data from. Must be a positive integer. |

**Returns:**

void

## Remarks

RAM cost: 0 GB

Delete all data from the underlying queue.

